## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationSessionOptions

### Authentication::ezcAuthenticationSessionOptions

### Class ezcAuthenticationSessionOptions

Class containing the options for the authentication session.

Example of use:

1. // create an options object
2. $options=new ezcAuthenticationSessionOptions ();
3. $options->validity=60;
4. $options->idKey='xxx';
5. $options->timestampKey='yyy';
7. // use the options object when creating a new Session object
8. $filter=new ezcAuthenticationSession ($options);
10. // alternatively, you can set the options to an existing object
11. $filter=new ezcAuthenticationSession ();
12. $filter->setOptions($options);

Source for this file: /Authentication/src/options/session_options.php

    ezcBaseOptions
       |
       --ezcAuthenticationSessionOptions

Version: | //autogen//

### Properties

string | read/write | `$idKey` The key to use in $_SESSION to hold the user ID of the user who is logged in.
string | read/write | `$timestampKey` The key to use in $_SESSION to hold the authentication timestamp.
int | read/write | `$validity` The amount of seconds the session can be idle.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcAuthenticationSessionOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcAuthenticationSessionOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) | Options for this class

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBasePropertyNotFoundException` | if $options contains a property not defined

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

Documentation generated by phpDocumentor 1.4.3